VRPlatformVRPlatform
Metrics

/metrics/reservation-volume

Reservation Volume

GET
/metrics/reservation-volume
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

dimension?string
Default"month"
Value in"month" | "week" | "day" | "year"
dateRange?string

Date range string. Accepted syntax: YYYY, YYYY-MM, YYYY-MM-DD, or range YYYY-MM-DD...YYYY-MM-DD. Single values expand to the full year, month, or day.

Formatvrp-date-range
isDateRangeEndInclusive?boolean

Whether the end date in dateRange or paidAtRange is treated as inclusive (true) or exclusive (false).

Defaulttrue

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/metrics/reservation-volume"
{
  "data": [
    {
      "currency": "string",
      "date": "string",
      "amount": 0
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}